//--
//--	palette.h
//--
//--	TBlackIdentityPalette / TIdentityPalette Class Header File
//--


#if !defined(__ULU_PALETTE_H)
#define __ULU_PALETTE_H

// Make sure we have definitions for all types we use
#if !defined(OWL_GDIOBJEC_H)
	#include <owl\gdiobjec.h>
#endif


class TBlackIdentityPalette : public TPalette
{
	private:
	protected:
	public:
		TBlackIdentityPalette();
		virtual ~TBlackIdentityPalette()  {}
};


class TIdentityPalette : public TBlackIdentityPalette
{
	private:
	protected:
		UINT nStaticCount;
	public:
		TIdentityPalette();
		virtual ~TIdentityPalette()  {}

		UINT GetStaticCount()  {return nStaticCount;}
		void RemoveStaticColors();
};



#endif  // #if !defined(__ULU_PALETTE_H)


